# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyScoreInferenceScores do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :all,
    :bathroom,
    :bedroom,
    :dining_room,
    :kitchen,
    :living_room
  ]

  @type t :: %__MODULE__{
    :all => FoyerAPI.Model.PropertyScoreInferenceScoresAll.t | nil,
    :bathroom => FoyerAPI.Model.PropertyScoreInferenceScoresBathroom.t | nil,
    :bedroom => FoyerAPI.Model.PropertyScoreInferenceScoresBedroom.t | nil,
    :dining_room => FoyerAPI.Model.PropertyScoreInferenceScoresBedroom.t | nil,
    :kitchen => FoyerAPI.Model.PropertyScoreInferenceScoresKitchen.t | nil,
    :living_room => FoyerAPI.Model.PropertyScoreInferenceScoresKitchen.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyScoreInferenceScores do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:all, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresAll, options)
    |> deserialize(:bathroom, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresBathroom, options)
    |> deserialize(:bedroom, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresBedroom, options)
    |> deserialize(:dining_room, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresBedroom, options)
    |> deserialize(:kitchen, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresKitchen, options)
    |> deserialize(:living_room, :struct, FoyerAPI.Model.PropertyScoreInferenceScoresKitchen, options)
  end
end

